export declare class TableDOMHelper {
    readonly artTableWrapper: HTMLDivElement;
    readonly artTable: HTMLDivElement;
    readonly tableHeader: HTMLDivElement;
    readonly tableBody: HTMLDivElement;
    readonly virtual: HTMLDivElement;
    readonly tableElement: HTMLTableElement;
    readonly tableFooter: HTMLDivElement;
    readonly stickyScroll: HTMLDivElement;
    readonly stickyScrollItem: HTMLDivElement;
    readonly tableHeaderMain: HTMLDivElement;
    readonly tableFooterMain: HTMLDivElement;
    constructor(artTableWrapper: HTMLDivElement);
    getVirtualTop(): HTMLDivElement;
    getTableRows(): NodeListOf<HTMLTableRowElement>;
    getTableBodyHtmlTable(): HTMLTableElement;
    getLeftLockShadow(): HTMLDivElement;
    getRightLockShadow(): HTMLDivElement;
    getLoadingIndicator(): HTMLDivElement;
    getRowTop(rowIndex: number): number;
    getRowNodeListByEvent: (e: React.MouseEvent<HTMLTableRowElement, MouseEvent>) => HTMLElement[];
    getInRangeRowByCellEvent: (e: React.MouseEvent<HTMLTableCellElement, MouseEvent>) => unknown[];
}
